<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Patterns</title>
</head>
<body>
    <script>
        for(let row=0;row<=5;row++){
            for(let col=0; col<=row; col++){
                document.write("* ")
            }
            document.write("<br>")
        }
        document.write("<br>")
        function patterns1(num){
            var str="";
            for(let row=0; row<num; row++){
                for(let col=0; col<num;col++){
                    str+="* "
                }
                str+="<br>"
            }
            return(str);
        }
        function patterns2(num){
            var str=""
            for(let row=0;row<=num;row++){
                for(let col=0;col<=row;col++){
                    str+="*  ";
                }
                str+="<br>"
            }
            return str;
        }
        function patterns3(num){
            var str=""
            for(let row=0; row< num; row++){
                for(let col=0 ; col<num-row; col++){
                    str+="* ";
                }
                str+="<br>"
            }
            return str;
        }

        function patterns4(num){
            var str=""
            for(let row=0; row<num; row++){
                for(let col=0 ; col<num; col++){
                    if( col==0 || col == num-1 || col == row || col+row==num-1||(row<col && col>num-row-1)||(row>col && col<num-row-1)){
                        str+="*&nbsp";
                    }
                    else{
                        str+="&nbsp&nbsp&nbsp";
                        }
                 }
                str+="<br>"
            }
            return str;
        }

        function patterns5(num){
            var str=""
            for(let row=0; row<num; row++){
                for(let col=0 ; col<num; col++){
                    if( col==0 ||col == row|| row==num-1){
                        str+="* ";
                    }
                    else{
                        str+="&nbsp &nbsp";
                        }
                 }
                str+="<br>"
            }
            return str;
        }

        function patterns6(num){
            var str=""
            let b=0;
            for(let row=0; row<num; row++){
                for(let col=0 ; col<row; col++){
                        b++;
                        str+=b+" ";
                    }
                str+="<br>"
            }
            return str;
        }
        
        function patterns7(num){
            var str=""
            let b=0;
            for(let row=0; row<num; row++){
                for(let col=0 ; col<row; col++){
                        b++;
                        str+="b ";
                    }
                str+="<br>"
            }
            return str;
        }
        
        document.write(patterns1(10));
        document.write("<br>");
        document.write(patterns2(10));
        document.write("<br>");
        document.write(patterns4(10));
        document.write("<br>");
        document.write(patterns5(10));
        document.write("<br>");
        document.write(patterns6(10));
        


    </script>
</body>
</html>